ランタイム: Mix::Dynamics::IWorld Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IWorld Class Referenceabstract

ワールドインターフェース More...

`#include <IWorld.h>`

Inheritance diagram for Mix::Dynamics::IWorld:
[legend]
Collaboration diagram for Mix::Dynamics::IWorld:
[legend]

## Classes

struct | TEST_RESULT
| テスト結果構造体 More...
class | TestCallback
| テストコールバッククラス More...
class | TestWithoutSelfCallback
| テストコールバッククラス(自身を除外) More...

## Public Member Functions

virtual Boolean | ContainsJoint (Mix::Dynamics::IJoint *pJoint) const =0
| ジョイントが存在しているかどうかを取得します More...
virtual Boolean | AddJoint (Mix::Dynamics::IJoint *pJoint, Boolean bCollisionDisabled=False)=0
| ジョイントを追加します More...
virtual Boolean | RemoveJoint (Mix::Dynamics::IJoint *pJoint)=0
| ジョイントを取り除きます More...
virtual UInt32 | GetJointCount (Mix::Dynamics::IJoint::TYPE type) const =0
| 指定したジョイントの数を取得します More...
virtual UInt32 | GetTotalJointCount (void) const =0
| ジョイントの数を取得します More...
virtual Boolean | ContainsObject (Mix::Dynamics::IObject *pObject) const =0
| オブジェクトが存在しているかどうかを取得します More...
virtual Boolean | AddObject (Mix::Dynamics::IObject *pObject)=0
| オブジェクトを追加します More...
virtual Boolean | RemoveObject (Mix::Dynamics::IObject *pObject)=0
| オブジェクトを取り除きます More...
virtual UInt32 | GetObjectCount (Mix::Dynamics::IObject::TYPE type) const =0
| 指定したオブジェクトの数を取得します More...
virtual UInt32 | GetTotalObjectCount (void) const =0
| 全てのオブジェクトの数を取得します More...
virtual const Mix::Vector3 & | GetGravity (void) const =0
| 重力を取得します More...
virtual void | SetGravity (const Mix::Vector3 &gravity)=0
| 重力を設定します More...
virtual UInt32 | Activate (void)=0
| 活動状態にします More...
virtual UInt32 | Deactivate (Boolean bForce=False)=0
| 非活動状態にします More...
virtual void | Update (Float32 dt, Float32 baseDt=1.0f/60.0f)=0
| 更新します More...
virtual Boolean | TestRay (const Mix::Vector3 &fromWorldPos, const Mix::Vector3 &toWorldPos, UInt16 filterGroup, UInt16 filterMask, Mix::Dynamics::IWorld::TestCallback *pCallback, Mix::Dynamics::IWorld::TEST_RESULT &result)=0
| 光線でテストします More...
virtual Boolean | TestSweep (Mix::Dynamics::IShape *pShape, const Mix::Vector3 &fromWorldPos, const Mix::Vector3 &toWorldPos, UInt16 filterGroup, UInt16 filterMask, Mix::Dynamics::IWorld::TestCallback *pCallback, Mix::Dynamics::IWorld::TEST_RESULT &result)=0
| スウィープでテストします More...
virtual const Mix::Dynamics::DEBUG_WORLD_PROFILE & | Debug_GetProfile (void) const =0
| デバッグ : プロファイルを取得します More...
virtual void | Debug_Draw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer)=0
| デバッグ : 描画を行います More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IWorld (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

ワールドインターフェース

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IWorld::~IWorld | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Dynamics::IWorld::ContainsJoint | ( | Mix::Dynamics::IJoint * | pJoint | ) | const

pure virtual

ジョイントが存在しているかどうかを取得します

Parameters

  [in] | pJoint | ジョイントを表す Mix::Dynamics::IJoint インターフェースのポインタ

Returns
  ジョイントが存在している場合は True を返します

virtual Boolean Mix::Dynamics::IWorld::AddJoint | ( | Mix::Dynamics::IJoint * | pJoint,
|  | Boolean | bCollisionDisabled = `False`
| ) |  |

pure virtual

ジョイントを追加します

Parameters

  [in] | pJoint | ジョイントを表す Mix::Dynamics::IJoint インターフェースのポインタ
  [in] | bCollisionDisabled | 接続されているリジッドボディ同士の衝突を無効にする場合は True

Returns
  成功した場合は True を返します

Note
  追加に成功した場合、ジョイントの参照カウンタを +1 します。
  ※ジョイントによって接続されているリジッドボディもワールドに追加しておく必要があります。

virtual Boolean Mix::Dynamics::IWorld::RemoveJoint | ( | Mix::Dynamics::IJoint * | pJoint | ) |

pure virtual

ジョイントを取り除きます

Parameters

  [in] | pJoint | ジョイントを表す Mix::Dynamics::IJoint インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  取り除きに成功した場合、ジョイントの参照カウンタを -1 します

virtual UInt32 Mix::Dynamics::IWorld::GetJointCount | ( | Mix::Dynamics::IJoint::TYPE | type | ) | const

pure virtual

指定したジョイントの数を取得します

Parameters

  [in] | type | ジョイントの種類を表す Mix::Dynamics::IJoint::TYPE 列挙定数

Returns
  ジョイントの数を返します

virtual UInt32 Mix::Dynamics::IWorld::GetTotalJointCount | ( | void |  | ) | const

pure virtual

ジョイントの数を取得します

Returns
  ジョイントの数を返します

virtual Boolean Mix::Dynamics::IWorld::ContainsObject | ( | Mix::Dynamics::IObject * | pObject | ) | const

pure virtual

オブジェクトが存在しているかどうかを取得します

Parameters

  [in] | pObject | オブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタ

Returns
  オブジェクトが存在している場合は True を返します

virtual Boolean Mix::Dynamics::IWorld::AddObject | ( | Mix::Dynamics::IObject * | pObject | ) |

pure virtual

オブジェクトを追加します

Parameters

  [in] | pObject | オブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  追加に成功した場合は pObject の参照カウンタを +1 します

virtual Boolean Mix::Dynamics::IWorld::RemoveObject | ( | Mix::Dynamics::IObject * | pObject | ) |

pure virtual

オブジェクトを取り除きます

Parameters

  [in] | pObject | オブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  取り除きに成功した場合、オブジェクトの参照カウンタを -1 します

virtual UInt32 Mix::Dynamics::IWorld::GetObjectCount | ( | Mix::Dynamics::IObject::TYPE | type | ) | const

pure virtual

指定したオブジェクトの数を取得します

Parameters

  [in] | type | オブジェクトの種類を表す Mix::Dynamics::IObject::TYPE 列挙定数

Returns
  オブジェクトの数を返します

virtual UInt32 Mix::Dynamics::IWorld::GetTotalObjectCount | ( | void |  | ) | const

pure virtual

全てのオブジェクトの数を取得します

Returns
  オブジェクトの数を返します

virtual const Mix::Vector3& Mix::Dynamics::IWorld::GetGravity | ( | void |  | ) | const

pure virtual

重力を取得します

Returns
  重力を表す Mix::Vector3 クラスを返します

virtual void Mix::Dynamics::IWorld::SetGravity | ( | const Mix::Vector3 & | gravity | ) |

pure virtual

重力を設定します

Parameters

  [in] | gravity | 重力を表す Mix::Vector3 クラス

virtual UInt32 Mix::Dynamics::IWorld::Activate | ( | void |  | ) |

pure virtual

活動状態にします

Returns
  活動状態にできたオブジェクトの数を返します

virtual UInt32 Mix::Dynamics::IWorld::Deactivate | ( | Boolean | bForce = `False` | ) |

pure virtual

非活動状態にします

Returns
  非活動状態にできたオブジェクトの数を返します

virtual void Mix::Dynamics::IWorld::Update | ( | Float32 | dt,
|  | Float32 | baseDt = `1.0f/60.0f`
| ) |  |

pure virtual

更新します

Parameters

  [in] | dt | 1フレームの所要時間
  [in] | baseDt | 1フレームの固定の所要時間

Note
  オブジェクトに設定されているリスナーはこのタイミングで呼び出されます

virtual Boolean Mix::Dynamics::IWorld::TestRay | ( | const Mix::Vector3 & | fromWorldPos,
|  | const Mix::Vector3 & | toWorldPos,
|  | UInt16 | filterGroup,
|  | UInt16 | filterMask,
|  | Mix::Dynamics::IWorld::TestCallback * | pCallback,
|  | Mix::Dynamics::IWorld::TEST_RESULT & | result
| ) |  |

pure virtual

光線でテストします

Parameters

  [in] | fromWorldPos | 光線の開始座標を表す Mix::Vector3 クラス
  [in] | toWorldPos | 光線の終了座標を表す Mix::Vector3 クラス
  [in] | filterGroup | 光線のフィルターグループ
  [in] | filterMask | 光線のフィルターマスク
  [in] | pCallback | コールバックを表す Mix::Dynamics::IWorld::TestCallback クラスのポインタ( NULL 指定可能 )
  [out] | result | テスト結果を表す Mix::Dynamics::IWorld::TEST_RESULT 構造体

Returns
  交差している場合は True を返します

virtual Boolean Mix::Dynamics::IWorld::TestSweep | ( | Mix::Dynamics::IShape * | pShape,
|  | const Mix::Vector3 & | fromWorldPos,
|  | const Mix::Vector3 & | toWorldPos,
|  | UInt16 | filterGroup,
|  | UInt16 | filterMask,
|  | Mix::Dynamics::IWorld::TestCallback * | pCallback,
|  | Mix::Dynamics::IWorld::TEST_RESULT & | result
| ) |  |

pure virtual

スウィープでテストします

Parameters

  [in] | pShape | 交差判定をするシェイプを表す Mix::Dynamics::IShape インターフェースのポインタ
  [in] | fromWorldPos | スウィープの開始位置を表す Mix::Vector3 クラス
  [in] | toWorldPos | スウィープの終了位置を表す Mix::Vector3 クラス
  [in] | filterGroup | スウィープのフィルターグループ
  [in] | filterMask | スウィープのフィルターのマスク
  [in] | pCallback | コールバックを表す Mix::Dynamics::IWorld::TestCallback クラスのポインタ( NULL 指定可能 )
  [out] | result | テスト結果を表す Mix::Dynamics::IWorld::TEST_RESULT 構造体

Returns
  交差している場合は True を返します

virtual const Mix::Dynamics::DEBUG_WORLD_PROFILE& Mix::Dynamics::IWorld::Debug_GetProfile | ( | void |  | ) | const

pure virtual

デバッグ : プロファイルを取得します

Returns
  プロファイルを表す Mix::Dynamics::DEBUG_WORLD_PROFILE 構造体を返します

virtual void Mix::Dynamics::IWorld::Debug_Draw | ( | Mix::Graphics::Utility::IPerspectiveRenderer * | pPerspectiveRenderer | ) |

pure virtual

デバッグ : 描画を行います

Parameters

  [in] | pPerspectiveRenderer | デバッグ描画用のパースペクティブレンダラーを表す Mix::Graphics::Utility::IPerspectiveRenderer インターフェースのポインタ

The documentation for this class was generated from the following file:

- Mix/Dynamics/IWorld.h